/***************************************************************************
             downloads_data.h  -  handles the DL list + DL clist

	* add, remove, and update records to/from/in the downloads data list
	* add records to downloads clist
	* update values in downloads clist
	* clear download list and download clist

                             -------------------
    begin                : Fri Jul 5 2002
    copyright            : (C) 2001-2002 by Tim-Philipp Mller
    email                : t.i.m at orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_downloads_data_h_included_
#define _ed2k_gui_downloads_data_h_included_

#include <gtk/gtk.h>
#include "download_record.h"

extern GPtrArray		*downloads;
extern GPtrArray		*completed;

guint			 downloads_get_num (void);
gboolean		 downloads_set_all_to_no_stats_received (void);
downloadRecord	*downloads_get_record_by_index (guint n);
void			 downloads_check_for_stats_received (void);

gboolean		 downloads_is_record_in_list (downloadRecord *dl);

void			 downloads_pause_all (gfloat space_left_on_device);

void		 	 downloads_add_record (const guint8 *hash, const gchar *name, guint32 size, guint partnum, guint8 priority);
void		 	 downloads_remove_record (downloadRecord *dl);
downloadRecord	*downloads_find_from_hash (const guint8 *hash);
downloadRecord	*downloads_find_from_filename (const gchar *filename);
void		 	 downloads_cleanup (void);
void			 downloads_completed_cleanup (void);

void			 downloads_completed_new_from_download (const downloadRecord *dl);


// clist functions (to be moved to downloads_page.c later)
void		downloadsclist_resort (void);
void		downloadsclist_add_record (downloadRecord *dl);
void		downloadsclist_update_all_filenames (void);
void		downloadsclist_update_status (downloadRecord *dl);
void		downloadsclist_set_columns_visibility (void);
void		downloadsclist_update_status_all (void);
gboolean	downloadsclist_remove_record (downloadRecord *dl);

void		downloadsclist_add_completed_record (downloadRecord *dl);

void		downloads_clear_all_completed (void);



#endif

