/***************************************************************************
                          misc_gtk.h  -  description
                             -------------------
    begin                : Fri Nov 29 2002
    copyright            : (C) 2002 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_misc_gtk_included_
#define _ed2k_gui_misc_gtk_included_

#include "global.h"

void	ok_dialog (		const gchar *title,
						const gchar *txt);

void	ok_dialog_from_widget (	const gchar *title,
								GtkWidget *widget);

void	yesno_dialog (	const gchar *title,
						const gchar *text,
						const gchar *yes_txt,
						const gchar *no_txt,
						void (*yes_func)(),
						void (*no_func)());

void			new_button_pack_and_signal_connect (	GtkWidget **button_ptr,
														GtkWidget *hbox,
														const gchar *label,
														void *click_func,
														gpointer func_data,
														gint pack_start_flag);

void			 new_icon_button_pack_and_signal_connect (	GtkWidget **button_ptr,
															GtkWidget *hbox,
					 										const gchar *text,
															void *click_func,
															gpointer func_data,
															gint pack_start_flag,
															gchar **icon);

void 			 new_icon_toggle_button_pack_and_signal_connect (	GtkWidget **button_ptr,
																	GtkWidget *hbox,
					 												const gchar *text,
																	void *click_func,
																	gpointer func_data,
																	gint pack_start_flag,
																	gchar **icon);


void			 add_new_check_button_to_box (	GtkWidget *box,
												GtkWidget **cbwidget,
												const gchar *label);

void			 add_new_entry_widget_to_box (	GtkWidget *box,
												GtkWidget **entrywidget,
												const gchar *entrylabel,
												guint16 max_length);

void			 add_labelled_menu_widget_to_box (	GtkWidget *box,
													GtkWidget *menuwidget,
													const gchar *entrylabel );


GtkWidget		*make_icon_and_label_hbox (const gchar *text, gchar **icon);

#endif


