/***************************************************************************
                          misc_sys.c  -  description
                             -------------------
    begin                : Fri Jan 17 2003
    copyright            : (C) 2003 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <stdio.h>

#include "global.h"
#include "misc_sys.h"


/******************************************************************************
 *
 *   misc_sys_get_uptime_in_secs
 *
 *   gets the number of seconds the system has been up so far.
 *
 *   returns secs or 0 on error
 */

time_t
misc_sys_get_uptime_in_secs (void)
{
	time_t	 num1, num1b, num2, num2b;
	FILE  	*f;

	f = fopen(N_("/proc/uptime"),N_("r"));
	if (!f)
	{
		return 0;
	}

	if (fscanf(f,N_("%u.%u %u.%u"), &num1, &num1b, &num2, &num2b)!=4)
	{
		(void) fclose(f);
		return 0;
	}

	(void) fclose(f);

	return num1;
}




