/***************************************************************************
                          search_data.h  -  description
                             -------------------
    begin                : Sun Jul 28 2002
    copyright            : (C) 2002 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_search_data_included_h
#define _ed2k_gui_search_data_included_h

#include <gtk/gtk.h>

typedef struct
{
	GPtrArray	*results;

	gboolean	 hasArtist;
	gboolean	 hasAlbum;
	gboolean	 hasTitle;
	gboolean	 hasLength;
	gboolean	 hasCodec;
	gboolean	 hasBitrate;
	gboolean	 isUserList;

	guint		 filtered;		// no. of results filtered out

	gchar		*label;

	GtkCList	*clist;
	GtkWidget	*frame;

} searchList;


typedef struct
{
	guint8		 hash[16];

	gchar		*name;
	GSList		*altnames;		// other names this file is known under
	gchar		*mp3_artist;
	gchar		*mp3_album;
	gchar		*mp3_title;

	guint32		 size;
	guint32		 availability;
	guint32		 bitrate;
	guint		 idxpos;

	GQuark		 typequark;
	GQuark		 formatquark;
	GQuark		 codecquark;
	GQuark		 lengthquark;
	GQuark		 extensionquark;

	gboolean	 we_have_this;		// TRUE if we already have this record

} searchlistRecord;

#define LINK_SEARCHLIST_LABEL	_("ed2k-links")

extern searchList	*current_search;
extern GPtrArray	*searchlists;

extern GtkWidget	*search_notebook;

searchList *searchlist_find_from_clist (GtkCList *clist);
searchList *searchlist_find_from_frame (GtkWidget *frame);
void		searchlist_remove_record (searchList *sl, searchlistRecord *slr);

void		searchlist_add_or_update_record (	searchList *sl,
												guint idxpos,
												const guint8 *hash,
												guint32 size,
												guint32 availability,
												const gchar *name,
												const gchar *type,
												const gchar *format,
												const gchar *mp3_artist,
												const gchar *mp3_album,
												const gchar *mp3_title,
												const gchar *length,
												guint32 bitrate,
												const gchar *codec);
void		searchlist_destroy (searchList *sl);
void		searchlist_clean_up_all (void);


searchList	*searchlist_make_new_searchlist (const gchar *label);


#endif


