/***************************************************************************
        shared_files.h  -  take care of all the shared files stuff (clist)
                             -------------------
    begin                : Wed Jul 10 2002
    copyright            : (C) 2001-2002 by Tim-Philipp Mller
    email                : t.i.m at orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_shared_files_h_included_
#define _ed2k_gui_shared_files_h_included_

#include <gtk/gtk.h>

#define SF_CLIST	GTK_CLIST(clist_files)

enum
{
 SF_MENUITEM_LINK_TO_LOG=0,
 SF_MENUITEM_CLEAR_SELECTION,
 SF_MENUITEM_SELECT_ALL,
};

typedef struct
{
	guint8		 hash[16];
	guint32		 filesize;
	GQuark		 namequark;	// we might use same string for uploadstatslist
	GQuark		 formatquark;	// same strings used very often - no need to store them multiple times
	GQuark		 typequark;	// (even if Quark probably takes up as much space as a 3-letter extension string)
	gboolean	 has_not_been_updated;
} sharedfileRecord ;


extern GtkWidget	*clist_files;		// shared files clist widget
extern GPtrArray	*sharedfiles;		// shared files data

#define sharedfileslist_sortcolumn	lists_sortcol[FSHARED_LIST]
#define sharedfileslist_sorttype	lists_sorttype[FSHARED_LIST]


void		 shared_files_clist_clear(void);
void		 shared_files_clist_before_update (void);
void		 shared_files_clist_after_update (void);
GtkWidget	*shared_files_create_scrolled_clist (void);

void		 shared_files_add_or_update_record (	const guint8 *hash,
							const gchar *name,
							guint32 size,
							const gchar *format,
							const gchar *type	);

sharedfileRecord	*shared_files_find_from_hash (const guint8 *hash);
sharedfileRecord	*shared_files_find_from_filename (const gchar *name);
sharedfileRecord	*shared_files_find_from_filenamequark (GQuark namequark);
gchar			*shared_files_find_name_from_record (sharedfileRecord *sfr);


#endif
