/* uploads_page.h
*
*  (c) 2001 Tim-Philipp Muller <t.i.m@orange.net>
*
*/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_UPLOADS_PAGE_H_INCLUDED_
#define _ED2K_GUI_UPLOADS_PAGE_H_INCLUDED_

#include "uploads_data.h"
#include "uploadstats_data.h"

#define UPL_CLIST	GTK_CLIST(clist_uploads)

#define UPLOAD_STAT_PACKET_INTERVAL_IN_S 3

extern GtkWidget *clist_uploads, *qlist, *ulpanedwin, *ulpanedwin2, *clist_ulstats;
extern GtkWidget *ulstats_scrollwin, *ul_scrollwin;

#define NO_OF_UPLOAD_COLS 3
#define NO_OF_ULSTATS_COLS 4

extern int last_uploadlist_item_selected;
extern gpointer	ulstats_data_of_last_row_selected;
//extern int last_ulstatslist_item_selected;

extern float total_uploaded;
extern time_t stats_last_cleared;
extern time_t	seconds_upload_was_nonzero;

extern int need_to_import_ulstats_sizes;	// flag to 'upgrade' existing uploadstats with new data
void import_ulstats_sizes (void);		// 'upgrade' existing uploadstats with new data
void sync_ulstats_filenames (void);		// make sure ulstats name is updated after rename

void increase_upload_stats ();

GtkWidget	*uploads_page_create (void);
void		 uploads_page_set_people_on_queue (guint num);

void	uploadsclist_add_record (uploadRecord *ul);
void	uploadsclist_remove_record (uploadRecord *ul);
void	uploadsclist_clear(void);
void	uploadsclist_update(void);
void	uploadsclist_resort(void);

void	uploadstatsclist_resort (void);
void	uploadstatsclist_update (void);
void	uploadstatsclist_remove_record (uploadstatsRecord *ulstatsr);
void	uploadstatsclist_clear (void);

#endif

